Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Kan .run bestanden niet openen.  (gelezen 811 keer)

Niels_II

  • Gast
Kan .run bestanden niet openen.
« Gepost op: 2007/08/30, 14:57:01 »
Hallo,

Ik probeer al een tijdje mijn Geforce 6100 videokaart te installeren. Ik heb van de nvidia site een driverpack gedownload, maar ubuntu kan deze niet openen. Ik krijg de volgende melding:

"Kan het bestand ‘/home/niels/Desktop/NVID…x86_64-100.14.11-pkg2.run’ niet openen.
Niet in staat de tekencodering automatisch te vinden.
Ga na of u niet probeert om een binair bestand te openen.
Selecteer een tekencodering uit het menu en probeert het opnieuw"

Hopelijk hebben jullie een oplossing!

Mvg,

Niels

Offline Soul-Sing

  • Lid
  • Steunpunt: Nee
Kan .run bestanden niet openen.
« Reactie #1 Gepost op: 2007/08/30, 15:10:59 »
als een uitvoerbaar bestand, in de terminal kan dat op de volgende manier:

./bestand.run
(het bestand moet dan wel uitvoerbaar zijn of gemaakt worden, via de terminal kan dit zo: sudo +x bestand.run)

Offline profoX

  • Lid
    • wesley
    • Lionslink
  • Steunpunt: Nee
Kan .run bestanden niet openen.
« Reactie #2 Gepost op: 2007/08/30, 15:11:08 »
Nou, je moet dat via de terminal installeren zo,
MAAR! NVidia drivers kan je best NIET op die manier installeren!!
Je zal dan problemen ondervinden bij updates..

Als je versie 7.04 (Feisty Fawn) hebt van Ubuntu, dan ga je gewoon naar de Restricted Manager (restricted-manager) en schakel je de restricted NVidia driver daar in. Eenvoudiger kan haast niet.
Human Knowledge Belongs To The World -- Antitrust (2001)
Nederlandstalige Ubuntu documentatie van Ubuntu-NL (wiki)

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Kan .run bestanden niet openen.
« Reactie #3 Gepost op: 2007/08/30, 15:25:55 »
Zoals profoX zegt.

Zo doe je het:
Systeem - Beheer - Beperkt ondersteunde stuurprogramma's (Restricted drivers manager).

Dan haalt Ubuntu de gesloten-bron Nvidia-driver automatisch binnen uit de pakketbronnen van Ubuntu, en installeert Ubuntu hem ook automatisch.

Daarna volledige herstart van je computer. Klaar!

Groet, Pjotr.

bassreal

  • Gast
Kan .run bestanden niet openen.
« Reactie #4 Gepost op: 2007/09/10, 12:35:23 »
ik heb hetzelfde probleem behalve dan dat de bovenstaande optie van de restricted drivers niet goed is sinds ik een ati kaart heb en die nog altijd niet geupdate is met de nieuwe drivers die ati voor mijn kaart specifieck gereleased heeft
ik heb de driver van de site dan maar gehaald en geprobeerd in de terminal maar ik kan het bestand niet uitvoerbaar maken. als ik dat probeer komt het volgende in de terminal te staan:

peter@peter-laptop:~$ sudo +x ati-driver-installer-8.40.4-x86.x86_64.run
sudo: +x: command not found

iemand een oplossing?

ik heb hetzelf al gevonden, gewoon door even in de eigenschapen te gaan kijken en bestand zo uitvoerbaar gemaakt :) beetje stom van mij

dan opent hij zelf de terminal en probeert hij die zo te installeren maar er heeft zich een nieuw probleem gevormd, als hij zo begint dan geeft hij even later een kadertje buiten de terminal waarin staat dat ik dat bestand moet uitvoeren al super user. hoe kan ik dat uitvoeren als super user rekening houdend met mijn vorige probleem?

opgelost door sudo nautilus te typen in terminal en dan het bestand uitgevoerd